@import url("https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap");

html,
body {
  height: 100%;
  margin: 0;
  padding: 0;
  justify-content: center;
}
body {
  font-family: Roboto, sans-serif;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  background-image: linear-gradient(
    to top,
    beige,
    rgb(233, 232, 231),
    rgb(211, 174, 209)
  );
}
.container {
  display: flex;
  padding: 32px;
  flex: 1 1 auto;
}
.header-container {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.header {
  margin: 0;
  padding: 16px;
}
.buttons {
  display: flex;
  gap: 16px;
}
.button {
  width: 60px;
  height: 60px;
  border: 2px solid rgb(201, 198, 198);
  border-radius: 35%;
  background-color: black;
  color: aliceblue;
  font-size: 12px;
  box-shadow: 0 0 3px gray;
  padding: 8px;
  overflow: hidden;
}
.button:hover {
  background-color: gray;
}
.grid {
  border: 1px solid gray;
  box-sizing: border-box;

  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  flex: 1 0 auto;
  aspect-ratio: 1 / 1;
  max-height: 660px;
  max-width: 660px;
  min-width: 60%;
  min-height: 60%;
}
.grid-square {
  border: 1px solid lightgrey;
  background-color: white;
  box-sizing: border-box;
  border-collapse: collapse;
}
